## plasma-dialer 6.2.4

=== debian/changelog ===
plasma-dialer (1:6.2.4-1) unstable; urgency=medium

  * Update remote tarball location in d/watch
  * Use same d/upstream/signing-key.asc as other Plasma mobile packages
  * Update d/rules for building based on KF6 instead of KF5
  * Update d/control after upstream CMakeLists.txt (Closes: #1079476)
  * Standards-Version 4.7.0 (no changes needed)
  * Update d/copyright after upstream changes
  * Update lintian-overrides because upstream has changed executable's name

 -- Marco Mattiolo <marco.mattiolo@hotmail.it>  Fri, 29 Nov 2024 21:04:09 +0100

plasma-dialer (23.01.0-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * New upstream release
  * Drop upstreamed patches
  * Refresh Build-Deps according to upstream CMakeLists.txt

 -- Arnaud Ferraris <aferraris@debian.org>  Sat, 11 Feb 2023 21:52:49 +0100

plasma-dialer (22.11-1) unstable; urgency=medium

  [ Marco Mattiolo ]
  * Initial release. Closes: #1023285

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 24 Jan 2023 21:44:57 +0100
