## plasma-dialer 6.2.90

=== debian/changelog ===
plasma-dialer (1:6.2.90-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (6.2.90)
  * Tighten inter-Plasma package dependencies.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 05:29:18 +0000

plasma-dialer (1:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:03:08 +0000

plasma-dialer (1:6.2.4-1ubuntu1) plucky; urgency=medium

  * Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Dec 2024 10:09:31 +0000
