## plasma-dialer 6.3.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.3.4")
+set(PROJECT_VERSION "6.3.5")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.3.4")
+set(PROJECT_DEP_VERSION "6.3.5")
 set(QT_MIN_VERSION "6.7.0")
 set(KF6_MIN_VERSION "6.10.0")
 set(KDE_COMPILERSETTINGS_LEVEL "6.5.0")
