=== debian/changelog ===
plasma-dialer (1:6.3.5-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - Fix: do not track same voicecall object multiple times.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:38 +0200

plasma-dialer (1:6.3.4-1) unstable; urgency=medium

  * Team upload.

  [ Marco Mattiolo ]
  * New upstream release (6.3.4).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Add/update Jonathan Esk-Riddell’s key in upstream keyring.

  [ Aurélien COUDERC ]
  * Use dh-sequence-qmldeps to correctly inject runtime QML
    dependencies.
  * Adopt the package under the Qt/KDE Team’s umbrella.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 23:12:51 +0200
