## plasma-dialer 6.4.3

=== debian/changelog ===
plasma-dialer (1:6.4.3-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 15:14:47 +0000

plasma-dialer (1:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:18:07 +0000

plasma-dialer (1:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:48:54 +0000

plasma-dialer (1:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:59:04 +0000

plasma-dialer (1:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 17 Jun 2025 22:05:29 +1000

plasma-dialer (1:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 21:07:44 +0000

plasma-dialer (1:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:21:21 +0000

plasma-dialer (1:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:17:35 +0000

plasma-dialer (1:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 08 Mar 2025 22:52:26 +1000

plasma-dialer (1:6.3.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Feb 2025 16:41:43 +1000

plasma-dialer (1:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 01 Jan 2025 17:23:32 +1000

plasma-dialer (1:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 10:47:57 +1000

plasma-dialer (6.2.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 06 Nov 2024 10:47:37 +1000

plasma-dialer (1:6.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 24 Apr 2022 11:46:26 +0000

plasma-dialer (22.02-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Feb 2022 10:58:37 +0000

plasma-dialer (21.12-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Dec 2021 11:46:06 +0000

plasma-dialer (21.08-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 10:19:55 +0000

plasma-dialer (21.07-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jul 2021 11:46:05 +0000

plasma-dialer (21.06-0neon) focal; urgency=medium

  [ Jonah Brüchert ]
  * Initial packaging

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:08:40 +0000
