## plasma-dialer 6.4.4

=== debian/changelog ===
plasma-dialer (1:6.4.4-0zneon+24.04+noble+release+build43) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 13 Aug 2025 14:57:50 +0000

plasma-dialer (1:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:28:13 +0000
