=== kde-telephony-meta/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# kde-telephony-meta

add_subdirectory(dbus-xmls)
add_subdirectory(meta-types)
