=== kde-telephony-plugin-declarative/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Alexey Andreyev <aa13q@ya.ru>
#
# SPDX-License-Identifier: LicenseRef-KDE-Accepted-GPL

# kde-telephony-plugin-declarative

add_subdirectory(src)
