## plasma-dialer 6.4.5+p24.04+vstable+git20251003.1108

=== debian/changelog ===
plasma-dialer (1:6.4.5+p24.04+vstable+git20251003.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 11:08:10 +0000

plasma-dialer (1:6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:45:30 +0000
