## plasma-dialer 6.4.5+p24.04+vstable+git20251015.1645

=== debian/changelog ===
plasma-dialer (1:6.4.5+p24.04+vstable+git20251015.1645-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 16:45:15 +0000
