## plasma-dialer 6.4.5+p24.04+vstable+git20251019.0554

=== debian/changelog ===
plasma-dialer (1:6.4.5+p24.04+vstable+git20251019.0554-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:55:00 +0000
