## plasma-dialer 6.4.91

=== debian/changelog ===
plasma-dialer (1:6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Add myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 12:29:51 +0200
