=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf6,pkgkde_symbolshelper,sodeps --buildsystem kf6 --without build_stamp
