## plasma-dialer 6.5.0+p24.04+vstable+git20251021.0928

=== debian/changelog ===
plasma-dialer (1:6.5.0+p24.04+vstable+git20251021.0928-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 09:28:40 +0000

plasma-dialer (1:6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 06:40:30 +0000
