## plasma-dialer 6.5.1+p24.04+vstable+git20251029.0837

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required (VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 set(PROJECT_VERSION_MAJOR 6)
 
 project(plasma-dialer VERSION ${PROJECT_VERSION})
