=== debian/changelog ===
plasma-dialer (1:6.5.1+p24.04+vstable+git20251029.0837-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 08:37:12 +0000

plasma-dialer (1:6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:09:33 +0000
